<div>
  <nz-table
    data-test="people-table"
    #peopleTable
    [nzData]="people"
    [nzTotal]="total"
    [nzPageSize]="currentPageSize"
    [nzFrontPagination]="false"
    (nzPageIndexChange)="changePage($event)"
  >
    <thead>
      <tr>
        <th data-test="name-header">Name</th>
        <th data-test="email-header">Email Address</th>
        <th data-test="title-header">Job Title</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let person of peopleTable.data">
        <td>{{ person["display_name"] }}</td>
        <td>{{ person["email_address"] }}</td>
        <td>{{ person.title }}</td>
      </tr>
    </tbody>
  </nz-table>
</div>
